Skip to main content
GET
TypeScript

Authorizations

Authorization
string
header
required

Use a named environment API key. It starts with tr_dev_sk_, tr_prod_sk_, tr_stg_sk_, etc.

Create a named API key in the API Keys section of your Trigger.dev project dashboard. Choose the narrowest access preset that supports your integration.

Our TypeScript SDK will default to using the value of the TRIGGER_SECRET_KEY environment variable if it is set. If you are using the SDK in a different environment, you can set the key using the configure function.

Path Parameters

bulkActionId
string
required

The ID of a bulk action, starts with bulk_.

Response

Successful request

id
string
required

The bulk action ID, prefixed with bulk_.

Example:

"bulk_1234"

type
enum<string>
required
Available options:
CANCEL,
REPLAY
status
enum<string>
required
Available options:
PENDING,
COMPLETED,
ABORTED
counts
object
required
createdAt
string<date-time>
required
name
string

The name provided when the bulk action was created.

completedAt
string<date-time>